### Constructor

# Gsk RepeatingRadialGradientNodenew

#### Declaration [src]

    GskRenderNode*
    gsk_repeating_radial_gradient_node_new (
      const graphene_rect_t* bounds,
      const graphene_point_t* center,
      float hradius,
      float vradius,
      float start,
      float end,
      const GskColorStop* color_stops,
      gsize n_color_stops
    )

#### Description [src]

Creates a `GskRenderNode` that draws a repeating radial gradient.

The radial gradient starts around `center`. The size of the gradient is dictated by `hradius` in horizontal orientation and by `vradius` in vertical orientation.

#### Parameters

`bounds`

  Type: `graphene_rect_t`

  The bounds of the node.

  The data is owned by the caller of the function.

`center`

  Type: `graphene_point_t`

  The center of the gradient.

  The data is owned by the caller of the function.

`hradius`

  Type: `float`

  The horizontal radius.

`vradius`

  Type: `float`

  The vertical radius.

`start`

  Type: `float`

  A percentage >= 0 that defines the start of the gradient around `center`.

`end`

  Type: `float`

  A percentage >= 0 that defines the end of the gradient around `center`.

`color_stops`

  Type: An array of `GskColorStop`

  A pointer to an array of `GskColorStop` defining the gradient. The offsets of all color stops must be increasing. The first stop’s offset must be >= 0 and the last stop’s offset must be <= 1.

  The length of the array is specified in the `n_color_stops` argument.
  The data is owned by the caller of the function.

`n_color_stops`

  Type: `gsize`

  The number of elements in `color_stops`.

#### Return value

Type: `GskRepeatingRadialGradientNode`

A new `GskRenderNode`

The caller of the function takes ownership of the data, and is responsible for freeing it.